Need your own package repository for Alpine, Cargo, CocoaPods, Composer, Conan, CRAN, Dart, Debian, Docker, Go, Helm, LuaRocks, Maven, npm, NuGet, Python, RedHat, Ruby, Terraform, Vagrant, Raw & More?

Cloudsmith provides better DevOps with simple and secure delivery of your software, from dev to production.

Start My Free 7-Day Trial
 Open-Source rabbitmq rabbitmq / rabbitmq-server  GitHub Project
Open source RabbitMQ releases
Note: Packages in this repository are licensed as Mozilla Public License 2.0 (dependencies may be licensed differently).

RedHat logo rabbitmq-server  3.9.7-1.el7

One-liner (summary)

The RabbitMQ server

Description

RabbitMQ is an open source multi-protocol messaging broker.

Size

13.7 MB

Downloads

127

Status  Completed
Checksum (MD5) 35fa4b2bce41ec868991208cf8fa9577
Checksum (SHA-1) 304a4035d0f66921792df34c33e6e329deceb3f8
Checksum (SHA-256) 70f92b6deedaa5944b68c2e41dfdadb95eecdae427bedc0a71c81021570ede4b
Checksum (SHA-512) 3fa2b16f8c4763c4579915cdad407014b1a0a2af024d3d332b43bf35bafdc61980…
GPG Signature
Distribution el/7 - Enterprise Linux (Amazon Linux, CentOS, RedHat) - 7.0
Storage Region  Dublin, Ireland
Type  Binary (contains binaries and binary artifacts)
Uploaded At 3 weeks, 3 days ago
Uploaded By team-rabbitmq
Slug Id rabbitmq-server-397-1el7noarchrpm-SXj
Unique Id fQFVCOw1Jl4w
Version (Raw) 3.9.7-1.el7
Version (Parsed)
  • Major: 3
  • Minor: 9
  • Patch: 7
  • Pre (Str): el
  • Pre (Num): 17
  • Type: SemVer (Strict)
  extended metadata
Build Host 2402dbeb-1d15-4be7-6f95-96c731fc7677
Build Time 2021-09-24 06:28:56 UTC
Group Development/Libraries
Installed Size 18.5 MB
Platform noarch-debian-linux
Source Rpm rabbitmq-server-3.9.7-1.el7.src.rpm
Url https://www.rabbitmq.com/
  dependencies
Checksum (MD5) bc93b0aa030e158bea84f4c794d948ac
Provides config(rabbitmq-server) = 0:3.9.7-1.el7 | rabbitmq-server = 0:3.9.7-1.el7
Requires /bin/sh | /bin/sh | /bin/sh | /bin/sh | /bin/sh | /bin/sh | /usr/bin/env | config(rabbitmq-server) = 0:3.9.7-1.el7 | erlang >= 0:23.2 | logrotate | rpmlib(CompressedFileNames) <= 0:3.0.4-1 | rpmlib(FileDigests) <= 0:4.6.0-1 | rpmlib(PartialHardlinkSets) <= 0:4.0.4-1 | rpmlib(PayloadFilesHavePrefix) <= 0:4.0-1 | systemd | systemd | systemd
pkg rabbitmq-server-3.9.7-1.el7.noa… 127
13.7 MB
md5 sha1 sha256 sha512
Package Contents (rabbitmq-server-3.9.7-1.el7.noarch.rpm)
Loading...

This package has 1690 files/directories.

 Newer RedHat logo
rabbitmq-server
8 team-rabbitmq
 Newer RedHat logo
rabbitmq-server
4 team-rabbitmq
 Newer RedHat logo
rabbitmq-server
8 team-rabbitmq
 Newer RedHat logo
rabbitmq-server
269 team-rabbitmq
 Newer RedHat logo
rabbitmq-server
4 team-rabbitmq
 Newer RedHat logo
rabbitmq-server
4 team-rabbitmq
  RedHat logo
rabbitmq-server
127 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
11 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
8 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
10 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
104 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
12 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
8 team-rabbitmq
 Older RedHat logo
rabbitmq-server
13.8 MB 1 month ago
98 team-rabbitmq
 Older RedHat logo
rabbitmq-server
12 team-rabbitmq
 Older RedHat logo
rabbitmq-server
11 team-rabbitmq
 Older RedHat logo
rabbitmq-server
10 team-rabbitmq
 Older RedHat logo
rabbitmq-server
222 team-rabbitmq
 Older RedHat logo
rabbitmq-server
11 team-rabbitmq
 Older RedHat logo
rabbitmq-server
14 team-rabbitmq
Loading...

You can embed a badge in another website that shows this or the latest version of this package.

To embed the badge for this specific package version, use the following:

[![This version of 'rabbitmq-server' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/?render=true)](https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/)
|This version of 'rabbitmq-server' @ Cloudsmith|
.. |This version of 'rabbitmq-server' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/?render=true
   :target: https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/
image::https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/?render=true[link="https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/",title="This version of 'rabbitmq-server' @ Cloudsmith"]
<a href="https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/3.9.7-1.el7/a=noarch;d=el%252F7;t=binary/?render=true" alt="This version of 'rabbitmq-server' @ Cloudsmith" /></a>

rendered as: This version of 'rabbitmq-server' @ Cloudsmith

To embed the badge for the latest package version, use the following:

[![Latest version of 'rabbitmq-server' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/?render=true&show_latest=true)](https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/)
|Latest version of 'rabbitmq-server' @ Cloudsmith|
.. |Latest version of 'rabbitmq-server' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/?render=true&show_latest=true
   :target: https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/
image::https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/?render=true&show_latest=true[link="https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/",title="Latest version of 'rabbitmq-server' @ Cloudsmith"]
<a href="https://cloudsmith.io/~rabbitmq/repos/rabbitmq-server/packages/detail/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/rabbitmq/rabbitmq-server/rpm/rabbitmq-server/latest/a=noarch;d=el%252F7;t=binary/?render=true&show_latest=true" alt="Latest version of 'rabbitmq-server' @ Cloudsmith" /></a>

rendered as: Latest version of 'rabbitmq-server' @ Cloudsmith

These instructions assume you have setup the repository first (or read it).

To install/use rabbitmq-server @ version 3.9.7-1.el7 ...

To install packages, you can quickly setup the repository automatically (recommended):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E bash

If you need to force a specific distribution, release/version, or even architecture, you can also do that (e.g. if your system is compatible but not identical):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E distro=el codename=7 arch=some-arch bash

or ... you can manually configure it yourself before installing packages:

yum install yum-utils pygpgme
rpm --import 'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/gpg.9F4587F226208342.key'
curl -1sLf 'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/config.rpm.txt?distro=el&codename=7' > /tmp/rabbitmq-rabbitmq-server.repo
yum-config-manager --add-repo '/tmp/rabbitmq-rabbitmq-server.repo'
yum -q makecache -y --disablerepo='*' --enablerepo='rabbitmq-rabbitmq-server'

Then you can install the package using:

sudo yum install rabbitmq-server-3.9.7-1.el7.noarch

To install packages, you can quickly setup the repository automatically (recommended):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E bash

If you need to force a specific distribution, release/version, or even architecture, you can also do that (e.g. if your system is compatible but not identical):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E distro=el codename=7 arch=some-arch bash

or ... you can manually configure it yourself before installing packages:

dnf install yum-utils pygpgme
rpm --import 'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/gpg.9F4587F226208342.key'
curl -1sLf 'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/config.rpm.txt?distro=el&codename=7' > /tmp/rabbitmq-rabbitmq-server.repo
dnf config-manager --add-repo '/tmp/rabbitmq-rabbitmq-server.repo'
dnf -q makecache -y --disablerepo='*' --enablerepo='rabbitmq-rabbitmq-server' --enablerepo='rabbitmq-rabbitmq-server-source'

Then you can install the package using:

sudo dnf install rabbitmq-server-3.9.7-1.el7.noarch

To install packages, you can quickly setup the repository automatically (recommended):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E bash

If you need to force a specific distribution, release/version, or even architecture, you can also do that (e.g. if your system is compatible but not identical):

curl -1sLf \
  'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/setup.rpm.sh' \
  | sudo -E distro=el codename=7 arch=some-arch bash

or ... you can manually configure it yourself before installing packages:

curl -1sLf 'https://dl.cloudsmith.io/public/rabbitmq/rabbitmq-server/config.rpm.txt?distro=el&codename=7' > /tmp/rabbitmq-rabbitmq-server.repo
zypper ar -f '/tmp/rabbitmq-rabbitmq-server.repo'
zypper --gpg-auto-import-keys refresh rabbitmq-rabbitmq-server rabbitmq-rabbitmq-server-source

Then you can install the package using:

sudo zypper install rabbitmq-server-3.9.7-1.el7.noarch
Warning: Note that this package is for Enterprise Linux (Amazon Linux, CentOS, RedHat) 7.0 / noarch and may only work for that configuration.
Top